.product-post {
  display: grid;
  grid-template-columns: .45fr .55fr;
  gap: 56px;
}

{# Slider #}

.product-post-slider {
  display: grid;
  grid-template-rows: auto 1fr;
  width: 100%;
  gap: 16px;
}

.product-post .swiper-slide img {
  aspect-ratio: 1 / 1;
  height: auto;
  object-fit: contain;
}


{# Product Information #}

.product-post-information {
  display: flex;
  flex-direction: column;
  gap: 48px;
}

.product-post-information-top {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.product-post-categories {
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
}

.product-post-buttons {
  display: flex;
  align-items: center;
  gap: 16px;
}

.product-post-brand,
.product-post-description {
  font-size: 16px;
  line-height: 140%;
}

.product-post-brand {
  color: var(--secondary-500);
}

.product-post-name {
  color: var(--primary-500);
  font-weight: 600;
}

.product-post-category {
  color: var(--primary-500);
  font-size: 12px;
  line-height: normal;
  background-color: var(--tertiary-400);
  padding: 2px 8px;
}

.product-post-drop-down {
  display: grid;
  grid-template-rows: auto 0fr;
}

.product-post-drop-down[open] {
  grid-template-rows: auto 1fr;
}

.product-post-drop-down-title {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 2px solid var(--quaternary-500);
  padding-bottom: 16px;
  cursor: pointer;
  z-index: 1;
}

.product-post-drop-down svg {
  transition: .3s all ease;
}

.product-post-drop-down[open] svg {
  transform: rotate(180deg);
}

.product-post-drop-down-content {
  min-height: 0;
  opacity: 0;
  z-index: 0;
  transition: .3s all ease;
}

.product-post-drop-down[open] .product-post-drop-down-content {
  opacity: 1;
  z-index: 1;
  padding-top: 16px;
  transition: .2s opacity ease;
}

.product-post-drop-down-content.details {
  display: grid;
  grid-template-columns: .35fr .65fr;
}

.product-post-drop-down-detail-title,
.product-post-drop-down-detail-value {
  padding: 16px;
  border-bottom: 1px solid #F0F0F0;
  background: #FFF;
  color: rgba(0, 0, 0, 0.88);
  font-size: 14px;
  line-height: normal;
}

.product-post-drop-down-detail-title {
  font-weight: 600;
}

@media(max-width: 1024px) {
  .product-post {
  grid-template-columns: 1fr;
  gap: 24px;
}

.product-post .swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
  max-height: 500px;
}


.product-post-brand, .product-post-description {
  font-size: 14px;
  line-height: 150%;
}

.product-post-buttons {
  flex-direction: column;
}

.product-post-buttons a {
  width: 100%;
  text-align: center;
  justify-content: center;
}

.product-post-drop-down-title {
  font-size: 18px;
}

.product-post {
  grid-template-columns: 1fr;
  gap: 24px;
}

.product-post-brand, .product-post-description {
  font-size: 14px;
  line-height: 150%;
}

.product-post-buttons {
  flex-direction: column;
}

.product-post-buttons a {
  width: 100%;
  text-align: center;
  justify-content: center;
}

.product-post-drop-down-title {
  font-size: 18px;
}

.product-post-drop-down-content.details {
  grid-template-columns: .4fr 1fr;
}

.product-post-drop-down-detail-value {
  text-align: end;
}
}